> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get users tags

> Returns all tags applied to the user.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /users/{user_id}/tags
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /users/{user_id}/tags:
    get:
      tags:
        - users
      description: Returns all tags applied to the user.
      operationId: get_user_tags
      parameters:
        - description: The ID of the user whose tags to return.
          name: user_id
          example: 1b978423-db0a-4037-a4cf-f79c60cb67b3
          explode: false
          in: path
          required: true
          schema:
            type: string
            format: uuid
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagsList'
          description: The tags applied to the user.
      security:
        - BearerAuth: []
components:
  schemas:
    TagsList:
      example:
        results:
          - tag_id: f290a738-5f9f-43c2-ad67-fa31ff0eb946
            created_at: '2022-01-23T04:56:07.000Z'
            updated_at: '2022-02-23T01:34:07.000Z'
            user_creator_id: d4a7d928-783e-4599-8ec6-088d635a5bcc
            admin_owner_id: bfb518b1-3f5b-4e3b-8eb8-3b3fabd4ea2b
            key: database-name
            value: redis_db
          - tag_id: 92f0a738-5f9f-43c2-ad67-fa31ff0eb052
            created_at: '2022-03-23T04:56:07.000Z'
            updated_at: '2022-04-23T01:34:07.000Z'
            user_creator_id: a4d7d928-783e-4599-8ec6-088d635af4ac
            admin_owner_id: gtg418b1-3f5b-4e3b-8eb8-3b3fabd4eaa1
            key: database-type
            value: sql
      properties:
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
      required:
        - tags
      type: object
    Tag:
      description: |-
        # Tag Object
        ### Description
        The `Tag` object is used to represent a tag.

        ### Usage Example
        Get tags from the `GET Tag` endpoint.
      example:
        tag_id: f290a738-5f9f-43c2-ad67-fa31ff0eb946
        created_at: '2022-01-23T04:56:07.000Z'
        updated_at: '2022-02-23T01:34:07.000Z'
        user_creator_id: d4a7d928-783e-4599-8ec6-088d635a5bcc
        key: database-name
        value: redis_db
      properties:
        tag_id:
          description: The ID of the tag.
          example: f290a738-5f9f-43c2-ad67-fa31ff0eb946
          format: uuid
          type: string
        created_at:
          description: The date the tag was created.
          example: '2022-01-23T04:56:07.000Z'
          format: date-time
          type: string
        updated_at:
          description: The date the tag was last updated.
          example: '2022-02-23T01:34:07.000Z'
          format: date-time
          type: string
        user_creator_id:
          description: The ID of the user that created the tag.
          example: d4a7d928-783e-4599-8ec6-088d635a5bcc
          format: uuid
          type: string
        key:
          description: The key of the tag.
          example: database-name
          type: string
        value:
          description: The value of the tag.
          example: redis_db
          type: string
      type: object
      required:
        - tag_id
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````